Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Required revision, checked in the owning transaction.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/levels/string/enrollments" \ -H "Idempotency-Key: string" \ -H "If-Match: string" \ -H "Content-Type: application/json" \ -d '{ "customer_id": "cust_example", "program_revision": 2, "operation_key": "operation-example" }'{ "program_id": "string", "program_version_id": "string", "customer_id": "string", "participation_id": "string", "run_id": "string", "state_revision": 0, "occurrence": "string", "basis": "string", "current_level": "string", "best_level": "string", "next_threshold": "string", "remaining": "string", "attainment_ids": [ "string" ], "transition_ids": [ "string" ], "pending_qualification": true}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Required revision, checked in the owning transaction.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/levels/string/evaluations" \ -H "Idempotency-Key: string" \ -H "If-Match: string" \ -H "Content-Type: application/json" \ -d '{ "customer_id": "cust_example", "program_revision": 2, "operation_key": "operation-example" }'{ "program_id": "string", "program_version_id": "string", "customer_id": "string", "participation_id": "string", "run_id": "string", "state_revision": 0, "occurrence": "string", "basis": "string", "current_level": "string", "best_level": "string", "next_threshold": "string", "remaining": "string", "attainment_ids": [ "string" ], "transition_ids": [ "string" ], "pending_qualification": true}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Required. Official clients generate a UUID when omitted by the caller.
1 <= length <= 255Required revision, checked in the owning transaction.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/levels/string/prestiges" \ -H "Idempotency-Key: string" \ -H "If-Match: string" \ -H "Content-Type: application/json" \ -d '{ "customer_id": "cust_example", "program_revision": 2, "operation_key": "operation-example" }'{ "program_id": "string", "program_version_id": "string", "customer_id": "string", "participation_id": "string", "run_id": "string", "state_revision": 0, "occurrence": "string", "basis": "string", "current_level": "string", "best_level": "string", "next_threshold": "string", "remaining": "string", "attainment_ids": [ "string" ], "transition_ids": [ "string" ], "pending_qualification": true}Secret API key bound to an environment.
In: header
Query Parameters
1 <= value <= 10050length <= 2048Value in
- "draft"
- "active"
- "paused"
- "ended"
- "archived"
Header Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/levels"{ "data": [ { "id": "string", "environment_id": "string", "kind": "tier", "key": "string", "name": "string", "status": "draft", "active_version_id": "string", "authority": "legacy", "legacy_table": "string", "version": -9007199254740991, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "archived_at": "2019-08-24T14:15:22Z" } ], "next_cursor": "string", "has_more": true}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/levels/string"{ "id": "string", "environment_id": "string", "kind": "tier", "key": "string", "name": "string", "status": "draft", "active_version_id": "string", "authority": "legacy", "legacy_table": "string", "version": -9007199254740991, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "archived_at": "2019-08-24T14:15:22Z"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthQuery Parameters
1 <= value <= 10050length <= 20481 <= lengthHeader Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/levels/string/participations"{ "data": [ { "id": "string", "program_id": "string", "program_version_id": "string", "customer_id": "string", "status": "enrolled", "state_revision": "string", "state": { "schema": "orishare.mechanic-state/v1", "revision": "string", "kind": "tier", "occurrence": "string", "basis": "string", "current_level": "string", "best_level": "string", "baseline": "string", "pending_qualification": true }, "effective_trust": "anonymous_claim", "timezone": "string", "timezone_source": "environment", "tzdata_version": "string", "enrolled_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "standing": "current" } ], "next_cursor": "string", "has_more": true}Secret API key bound to an environment.
In: header
Path Parameters
1 <= length1 <= lengthHeader Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/levels/string/participations/string"{ "id": "string", "program_id": "string", "program_version_id": "string", "customer_id": "string", "status": "enrolled", "state_revision": "string", "state": { "schema": "orishare.mechanic-state/v1", "revision": "string", "kind": "tier", "occurrence": "string", "basis": "string", "current_level": "string", "best_level": "string", "baseline": "string", "pending_qualification": true }, "effective_trust": "anonymous_claim", "timezone": "string", "timezone_source": "environment", "tzdata_version": "string", "enrolled_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "standing": "current"}